BLUETOOTHCTL(1)

NAME
bluetoothctl - interactive bluetooth control tool

SYNOPSIS
bluetoothctl [OPTION...]

DESCRIPTION
bluetoothctl is bluetooth control tool with a shell-like interface. It can be automated by piping commands to standard input as the tool will exit when reading end-of-file (EOF).

OPTIONS
The following command line options are understood: Help Options:
  -h, --help Show help options Application Options:
  -v, --version Show version information and exit
  -a, --agent=CAPABILITY Register agent handler

COMMANDS
The following interactive commands can be used in the tools interface: list
    List available controllers
show [ctrl]
    Controller information
select <ctrl>
    Select default controller
devices
    List available devices
paired-devices
    List paired devices
system-alias <name>
    Set controller alias
reset-alias
    Reset controller alias
power <on/off>
    Set controller power
pairable <on/off>
    Set controller pairable mode
discoverable <on/off>
    Set controller discoverable mode
agent <on/off/capability>
    Enable/disable agent with given capability
default-agent
    Set agent as the default one
advertise <on/off/type>
    Enable/disable advertising with given type
set-advertise-uuids [uuid1 uuid2 ...]
    Set advertise uuids
set-advertise-service [uuid][data=[xx xx ...]
    Set advertise service data
set-advertise-manufacturer [id][data=[xx xx ...]
    Set advertise manufacturer data
set-advertise-tx-power <on/off>
    Enable/disable TX power to be advertised
set-scan-filter-uuids [uuid1 uuid2 ...]
    Set scan filter uuids
set-scan-filter-rssi [rssi]
    Set scan filter rssi, and clears pathloss
set-scan-filter-pathloss [pathloss]
    Set scan filter pathloss, and clears rssi
set-scan-filter-transport [transport]
    Set scan filter transport
set-scan-filter-clear
    Clears discovery filter.
scan <on/off>
    Scan for devices
info [dev]
    Device information
pair [dev]
    Pair with device
trust [dev]
    Trust device
untrust [dev]
    Untrust device
block [dev]
    Block device
unblock [dev]
    Unblock device
remove <dev>
    Remove device
connect <dev>
    Connect device
disconnect [dev]
    Disconnect device
list-attributes [dev]
    List attributes
set-alias <alias>
    Set device alias
select-attribute <attribute/UUID>
    Select attribute
attribute-info [attribute/UUID]
    Select attribute
read
    Read attribute value
write <data=[xx xx ...]>
    Write attribute value
acquire-write
    Acquire Write file descriptor
release-write
    Release Write file descriptor
acquire-notify
    Acquire Notify file descriptor
release-notify
    Release Notify file descriptor
notify <on/off>
    Notify attribute value
register-application [UUID ...]
    Register profile to connect
unregister-application
    Unregister profile
register-service <UUID>
    Register application service.
unregister-service <UUID/object>
    Unregister application service
register-characteristic <UUID> <Flags=read,write,notify...>
    Register application characteristic
unregister-characteristic <UUID/object>
    Unregister application characteristic
register-descriptor <UUID> <Flags=read,write...>
    Register application descriptor
unregister-descriptor <UUID/object>
    Unregister application descriptor
version
    Display version
quit
    Quit program
exit
    Quit program
help
    Display help about this program

EXAMPLES
$ bluetoothctl
[bluetooth]# devices
Device 00:16:94:1A:EA:2C HD 4.50BTNC
[bluetooth]# pair 00:16:94:1A:EA:2C
Attempting to pair with 00:16:94:1A:EA:2C
Pairing successful
[bluetooth]# connect 00:16:94:1A:EA:2C
Attempting to connect to 00:16:94:1A:EA:2C
Connection successful
[HD 4.50BTNC]# set-alias sennheiser
Changing sennheiser succeeded
[HD 4.50BTNC]# devices
Device 00:16:94:1A:EA:2C sennheiser
[HD 4.50BTNC]# quit

AUTHOR
This manual page was written by Nobuhiro Iwamatsu <iwamatsu@debian.org>, for the Debian GNU/Linux system (but may be used by others).